| unix-2.4.0.2: POSIX functionality | Contents | Index

System.Posix.Temp

Portability | non-portable (requires POSIX)
Stability | provisional
Maintainer | vs@foldr.org

Description
POSIX environment support
Synopsis

mkstemp :: String -> IO (FilePath, Handle)

Documentation
mkstemp :: String -> IO (FilePath, Handle)
`mkstemp` - make a unique filename and open it for reading/writing (only safe on GHC & Hugs). The returned `FilePath` is the (possibly relative) path of the created file.
Produced by Haddock version 2.6.1